OGRE: Ogre::ErrorDialog Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ErrorDialog Class Reference
Core » General

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialogImpWinRT.h>`

## Public Member Functions
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ~ErrorDialog ()
| ~ErrorDialog ()
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

## Constructor & Destructor Documentation

## ◆ ErrorDialog() [1/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [2/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [3/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [4/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [5/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [6/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [7/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [8/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ~ErrorDialog() [1/2]

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |
| inline

## ◆ ErrorDialog() [9/9]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ~ErrorDialog() [2/2]

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |
| inline

## Member Function Documentation

## ◆ display() [1/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [2/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [3/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [4/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [5/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [6/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [7/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [8/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [9/9]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

The documentation for this class was generated from the following files:

- Android/OgreErrorDialogImp.h
- OgreErrorDialogImpWinRT.h